Last Comment Bug 700144 - Port Bug 640136 [onchange & input events are not fired for all form elements on restore]
: Port Bug 640136 [onchange & input events are not fired for all form elements ...
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Session Restore (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.10
Assigned To: Misak Khachatryan
:
Mentors:
Depends on: 640136
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-06 09:20 PST by Misak Khachatryan
Modified: 2012-02-21 10:31 PST (History)
1 user (show)
bugzillamozillaorg_serge_20140323: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
patch (11.34 KB, patch)
2011-11-06 09:20 PST, Misak Khachatryan
no flags Details | Diff | Splinter Review
fixed patch (11.67 KB, patch)
2011-11-12 03:16 PST, Misak Khachatryan
neil: review+
iann_bugzilla: approval‑comm‑aurora+
iann_bugzilla: approval‑comm‑beta+
Details | Diff | Splinter Review

Description Misak Khachatryan 2011-11-06 09:20:12 PST
Created attachment 572306 [details] [diff] [review]
patch

From parent bug:

Steps:
1. Open the attached testcase
2. Select "2" from the select box (notice a "2" appears below)
3. Restart Firefox
4. Click "Restore Session" from about:home

Result:
2 is selected in select box but the "2" in the div is missing.

Expected:
2 selected in select box and 2 displayed in the div
Comment 1 Paul O'Shannessy [:zpao] (not reading much bugmail, email directly) 2011-11-08 10:49:08 PST
Comment on attachment 572306 [details] [diff] [review]
patch

FYI: There's a slightly modified version of the patch in bug 640136
Comment 2 Misak Khachatryan 2011-11-12 03:16:22 PST
Created attachment 574022 [details] [diff] [review]
fixed patch
Comment 3 Serge Gautherie (:sgautherie) 2012-02-12 21:59:36 PST
Misak, ping for check-in.
Comment 4 Philip Chee 2012-02-14 08:59:30 PST
Serge assuming the patch isn't bit rotted can you check this in for Misak? I don't think he's been around lately.
Comment 5 Misak Khachatryan 2012-02-14 21:41:44 PST
I'm here, just kinda busy :) . Sorry, didn't saw that this is r+ . I'll check this in today.
Comment 6 Misak Khachatryan 2012-02-15 00:34:52 PST
Comment on attachment 574022 [details] [diff] [review]
fixed patch

Pushed on trunk, requesting approval for others.

http://hg.mozilla.org/comm-central/rev/2329fac36853
Comment 7 Alex Keybl [:akeybl] 2012-02-15 16:19:58 PST
Comment on attachment 574022 [details] [diff] [review]
fixed patch

[Triage Comment]
This landed on comm-central (not m-c), so we can't uplift to Aurora/Beta.

Note You need to log in before you can comment on or make changes to this bug.